@charset "UTF-8";


/* =========================
   ROOT VARIABLEN
========================= */
:root {
  /* Farben */
  --color-bg: rgb(0, 0, 0);
  --color-box-bg: rgba(0, 0, 0, 0.4);
  --color-border: rgba(0, 0, 0, 0.3);
  --color-border-hover: #6effb1;
  --color-shadow-hover: rgba(110, 255, 177, 0.6);
  --color-footer-btn: rgb(59, 176, 100);
  --color-footer-btn-border: rgb(3, 92, 17);
  --color-footer-btn-hover-shadow: rgba(255, 255, 255, 0.9);

  /* Fonts */
  --font-main: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;

  /* Größen */
  --radius-box: 10px;
  --border-width: 2px;
  --transition-speed: 0.4s;
  --hover-scale: 1.15;
  --text-title-size: 1.6rem;
  --text-overlay-size: 1.6rem;
}

html,
body {
  font: 1em sans-serif;
  background-color: rgb(0, 0, 0) !important;
  position: relative;
}

body {
  background-image: url("../bilder/compass-free70.png");
  background-size: clamp(1100px, 70vw, 1600px);
  background-repeat: no-repeat;
  background-size: 1500px auto;
  background-position: center 20%;
  transition: background-size 0.8s ease, background-position 0.8s ease;
}

h1 {
  margin-left: clamp(50px, 5vw, 100px);
  margin-right: clamp(20px, 35vw, 1000px);
  margin-top: -0px;
  color: rgb(8, 146, 205) !important;
  text-align: left;
  font-size: clamp(1.6rem, 3vw, 6rem);
  font-weight: lighter;
  line-height: clamp(1.8rem, 3.5vw, 8rem);
}

h2 {
  margin-left: clamp(50px, 5vw, 100px);
  margin-right: clamp(20px, 35vw, 1000px);
  color: rgb(40, 186, 122) !important;


  text-align: left;
  font-size: clamp(1.2rem, 1.7vw, 4rem);
  font-weight: lighter;
  line-height: clamp(1.4rem, 2.6vw, 8rem);
}

h3 {
  margin-top: 20px;
  margin-left: clamp(50px, 5vw, 100px);
  margin-right: clamp(20px, 35vw, 1000px);
  padding-bottom: 50px;
  text-align: left;
  color: rgb(255, 255, 255);
  font-size: clamp(1.1rem, 1.4vw, 4rem);
  font-weight: lighter;
  line-height: clamp(1.4rem, 2.0vw, 6rem);
}

h4 {
  margin-left: clamp(20px, 35vw, 1000px);
  margin-right: clamp(20px, 5vw, 100px);
  margin-top: -0px;
  color: rgb(8, 146, 205) !important;
  text-align: left;
  font-size: clamp(1.5rem, 3vw, 6rem);
  font-weight: lighter;
  line-height: clamp(1.8rem, 3.5vw, 8rem);
}

h5 {
  margin-left: clamp(20px, 35vw, 1000px);
  margin-right: clamp(20px, 5vw, 100px);
  color: rgb(40, 186, 122) !important;
  text-align: left;
  font-size: clamp(1.2rem, 1.7vw, 4rem);
  font-weight: lighter;
  line-height: clamp(1.4rem, 2.6vw, 8rem);
}

h6 {
  margin-top: 20px;
  margin-left: clamp(20px, 35vw, 1000px);
  margin-right: clamp(20px, 5vw, 100px);
  margin-right: 50px;
  padding-bottom: 50px;
  text-align: left;
  color: rgb(255, 255, 255);
  font-size: clamp(1.1rem, 1.4vw, 4rem);
  font-weight: lighter;
  line-height: clamp(1.4rem, 2.0vw, 6rem);
}

p {
  margin-top: 40px;
  margin-left: 50px;
  margin-right: 50px;
  padding-bottom: 50px;
  text-align: left;
  color: rgb(255, 255, 255);
  font-size: clamp(1.3rem, 1.8vw, 6rem);
  font-weight: lighter;
  line-height: clamp(1.4rem, 2.6vw, 8rem);
}

hr {
  border: none;
  border-top: 6px solid #6effb1;
}

header {
  position: relative;
}

.header-top-row {
  height: 70px;
  padding: 10px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.logo-urbangrafix img {
  position: absolute;
  top: 20px;
  right: 15px;
  width: clamp(120px, 35vw, 27%);
  z-index: 1001;
}

.carousel {
  width: 100%;
  aspect-ratio: 16/6;
  overflow: hidden;
}

.carousel img {
  object-fit: cover;
  height: 100%;
}

.carousel-control-prev,
.carousel-control-next {
  top: 88%;
  /* Pfeile (r & l) tiefer setzen, kleinere Wert höher */
}

/* Burger-Button */
.menu-checkbox {
  display: none;
}

/* Toggle (3 Striche / X) */
.menu-toggle {
  position: absolute;
  top: 25px;
  left: 20px;
  width: 40px;
  height: 30px;
  cursor: pointer;
  z-index: 1100;
}

/* Striche */
.menu-toggle span {
  position: absolute;
  left: 0;
  width: 100%;
  height: 4px;
  background: white;
  border-radius: 2px;
}

/* Striche normal */
.menu-toggle span:nth-child(1) {
  top: 0;
}

.menu-toggle span:nth-child(2) {
  top: 50%;
  transform: translateY(-50%);
}

.menu-toggle span:nth-child(3) {
  bottom: 0;
}

/* X Animation */
/* X beim Öffnen */
.menu-checkbox:checked+.menu-toggle span:nth-child(1) {
  top: 50%;
  transform: translateY(-50%) rotate(45deg);
}

.menu-checkbox:checked+.menu-toggle span:nth-child(3) {
  top: 50%;
  transform: translateY(-50%) rotate(-45deg);
}

.menu-checkbox:checked+.menu-toggle span:nth-child(2) {
  opacity: 0;
}


/* Menü selbst */
.burger-menu {
  position: absolute;
  left: 0;
  /* gleiche X-Position */
  width: 185px;
  background: rgba(18, 19, 19, 0.5);
  display: flex;
  flex-direction: column;
  padding: 0px 0;
  margin-top: 70px;
  border-radius: 0 0 5px 5px;
  z-index: 1050;

  max-height: 0;
  overflow: hidden;
  transition: max-height 0.3s ease;
}

/* Links */
.burger-menu a {
  margin-left: 20px;
  padding: 10px;
  margin-bottom: 5px;
  color: white;
  line-height: 0.7;
  font-size: 1.3rem;
  text-decoration: none;
}

/* Aufklappen */
.menu-checkbox:checked~.burger-menu {
  max-height: 750px;
}

.language-switch {
  position: absolute;
  top: 25px;
  left: 50%;
  transform: translateX(-50%);
  display: flex;
  gap: 35px;
  z-index: 1100;
}

.language-switch img {
  width: clamp(20px, 3vw, 50px);
  height: auto;
  aspect-ratio: 3 / 2;
  object-fit: cover;
  border: 1px solid #dce6df;

  cursor: pointer;
  transition: transform 0.3s ease, filter 0.3s ease;
}

.language-switch img:hover {
  transform: scale(1.4);
  filter: drop-shadow(0 0 6px rgba(255, 255, 255, 0.8));
}

.main-navigation {
  padding-right: 20px;
  padding-left: 20px;
  text-decoration: none;
  display: flex;
  justify-content: center;
  text-decoration: none;
  display: flex;
  gap: 30px;
}

.main-navigation a {
  padding-top: 4px;
  text-decoration: none;
}

.hero-image {
  padding-top: 80px;
  padding-bottom: 80px;

  display: block;
  margin: 0 auto;
  width: 70% !important;
  transition: transform 0.4s ease, filter 0.4s ease;
}

.hero-image:hover {
  transform: scale(1.2);
  filter: saturate(5) contrast(8) brightness(0.5) drop-shadow(0 0 3px rgba(255, 255, 255, 1)) drop-shadow(0 0 20px rgba(255, 255, 255, 0.7));
}

/* =========================
   TICKER CONTAINER
========================= */
.newsticker {
  width: 100%;
  overflow: hidden;
  white-space: nowrap;
  color: rgb(255, 255, 255, 0.7);
}

.newsticker-subline {
  width: 100%;
  overflow: hidden;
  white-space: nowrap;
  margin: 10px auto;
  margin-bottom: 80px;
  color: white;
}

.ticker-track {
  display: inline-flex;
  width: max-content;
}

/* =========================
   HAUPT-TICKER
========================= */

.ticker-main {
  animation: ticker-loop-main 28s linear infinite;
  /* Geschwindigkeit kann angepasst werden  ueber Sekunden*/
}

.ticker-main span {
  display: inline-flex;
  align-items: center;
  font-size: clamp(3rem, 9vw, 8rem);
  margin-right: 80px;
  will-change: transform, font-size;
  /* Abstand zwischen den Wiederholungen */
}

/* =========================
   SUBLINE-TICKER
========================= */

.ticker-sub {
  animation: ticker-loop-sub 29s linear infinite;
  /* kürzere Dauer = schneller */
}

.ticker-sub span {
  color: rgb(133, 127, 127);
  font-size: clamp(1.8rem, 3vw, 5rem);
  font-weight: 300;
  margin-right: 50px;
  opacity: 0.85;
}

/* =========================
   MARKE FARBE
========================= */

.brand {
  color: rgb(255, 255, 255, 0.7);
  /* grün */
}

.dash {
  margin: 0px -20px;
  margin-left: -10px;
}

/* =========================
   ANIMATIONEN
========================= */

/* Pixelbasiertes Keyframe */
@keyframes ticker-loop-main {
  from {
    transform: translateX(0);
  }

  to {
    transform: translateX(-50%);
  }

  /* Track doppelt so breit wie Container */
}

@keyframes ticker-loop-sub {
  from {
    transform: translateX(0);
  }

  to {
    transform: translateX(-50%);
  }
}

/* =========================
   TICKER TRACK BASIS
========================= */


/* =========================
   BOXEN
========================= */
.custom-row {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 20px;
}

.custom-row-top {
  align-items: flex-end;
}

.custom-row-bottom {
  align-items: flex-start;
}

.custom-row {
  margin-top: 20px;
}

.box {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  color: white;
  font-family: var(--font-main);
  font-size: 1.3rem;
  text-align: center;

  border-radius: var(--radius-box);
  border: 2px solid rgb(255, 255, 255, 0.4);
  background: var(--color-box-bg);
  backdrop-filter: blur(4px);
  overflow: hidden;
  transition: all var(--transition-speed) ease, transform 0.4s ease;
  z-index: 0;
}

.box a {
  position: absolute;
  inset: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  text-decoration: none;
  z-index: 3;
}

.box:hover {
  border-color: var(--color-border-hover);
  box-shadow: 0 0 20px var(--color-shadow-hover);
  transform: scale(var(--hover-scale));
  z-index: 3;
}

/* Hover-Bilder */
.box::before {
  content: "";
  position: absolute;
  inset: 0;
  background-size: cover;
  background-position: center;
  opacity: 0.15;
  transform: scale(1.05);
  transition: opacity 0.5s ease, transform 0.6s ease;
  z-index: 1;
}

.box:hover::before {
  opacity: 1;
  transform: scale(1);
}

.box-about::before {
  background-image: url("../bilder/übermich-illu.jpg");
}

.box-portfolio::before {
  background-image: url("../bilder/portfolio-hoch-V2.png");
}

.box-video::before {
  background-image: url("../bilder/video-illu.jpg");
}

.box-angebot::before {
  background-image: url("../bilder/money-illu.jpg");
}

.box-leistungen::before {
  background-image: url("../bilder/leistungen.jpg");
}

.box-kontakt::before {
  background-image: url("../bilder/email-green.jpg");
}

/* Textebene */
.box-title,
.box-overlay {
  position: absolute;
  width: 100%;
  text-align: center;
  color: white;
  font-family: var(--font-main);
  z-index: 2;
  transition: opacity 0.9s ease, transform 0.9s ease;
}

.box-title {
  top: 50%;
  left: 0;
  font-size: var(--text-title-size);
  font-weight: 300;
  transform: translateY(-50%) scale(1);
}

.box-overlay {
  bottom: 15px;
  left: 0;
  font-size: var(--text-overlay-size);
  letter-spacing: 1px;
  opacity: 0;
  transform: translateY(10px) scale(0.9);
}

/* Hover Text */
.box:hover .box-title {
  opacity: 0;
  transform: translateY(-60%) scale(1.2);
}

.box:hover .box-overlay {
  opacity: 1;
  transform: translateY(0) scale(1.1);
}

/* Unterschiedliche Boxgrößen */
.box-about {
  width: clamp(180px, 19vw, 320px);
  aspect-ratio: 1.5/1.7;
}

.box-portfolio {
  width: clamp(180px, 18vw, 370px);
  aspect-ratio: 1/1.5;
}

.box-video {
  width: clamp(180px, 18vw, 280px);
  aspect-ratio: 1.2/1.5;
}

.box-angebot {
  width: clamp(180px, 20vw, 290px);
  aspect-ratio: 1/1.2;
}

.box-leistungen {
  width: clamp(160px, 18vw, 300px);
  aspect-ratio: 1.2/1.7;
}

.box-kontakt {
  width: clamp(190px, 22vw, 300px);
  aspect-ratio: 1.5/2;
}

/* =========================
   FOOTER
========================= */
footer {
  padding: 40px 0;
  background: transparent;
}

.button-menue {
  padding: 10px 20px;
  background-color: var(--color-footer-btn);
  border: 2px solid var(--color-footer-btn-border);
  border-radius: 5px;
  transition: all 0.3s ease;
}

.button-menue a {
  color: white;
  text-decoration: none;
}

.button-menue:hover {
  box-shadow: 0 0 15px var(--color-footer-btn-hover-shadow);
  font-size: 18px;
}

/* =========================
  DSGVO-Feld, Cookie Banner
========================= */

.cookie-consent {
  display: none;

  position: fixed;
  justify-content: center;

  bottom: 20px;
  left: 50%;
  transform: translateX(-50%);
  background: rgb(0, 0, 0, 0.85);
  color: #fff;
  padding-bottom: 20px;
  border: 5px solid #07aed8;
  border-radius: 8px;
  max-width: 600px;
  width: 90%;
  box-shadow: 0 10px 25px rgba(0, 0, 0, 0.3);
  z-index: 9999;
  font-size: 1rem;
  font-weight: lighter;
  bottom: 350px;
}

.cookie-content {
  display: flex;
  flex-direction: column;
  gap: 0px;
}

.cookie-btn,
.cookie-buttons button {
  font-size: 1.5rem;
  font-weight: lighter;
  display: inline-block;
  /* Wichtig für transform */
  text-decoration: none;
  /* keine Unterstreichung */
  padding: 10px 10px;
  border-radius: 8px;
  background: rgb(59, 176, 100);
  color: white;
  font-family: 'Arial', sans-serif;
  font-weight: lighter;
  cursor: pointer;
  text-align: center;
  transition: transform 0.2s, opacity 0.2s, filter 0.2s;
}

.cookie-content p {
  margin-top: 20px;
  text-align: center;
  font-size: 1.7rem;
  /* hier Größe ändern */
  line-height: 2.2rem;
}

.cookie-buttons {
  margin-top: -20px;
  display: flex;
  /* macht das div zu einem Flex-Container */
  justify-content: center;
  /* zentriert die Buttons horizontal */
  gap: 30px;
  /* optional: Abstand zwischen Buttons */
  flex-wrap: wrap;
  /* optional: bei kleinen Bildschirmen umbrechen */
  border-radius: 8px;

}

.cookie-btn:hover {
  transform: scale(1.2);
  /* skaliert jetzt */
  filter: drop-shadow(0 0 6px rgba(255, 255, 255, 0.8));
  /* Shine bleibt */
}


#cookie-accept {
  background: rgb(59, 176, 100);
  color: white;
}

#cookie-reject {
  background: rgb(59, 176, 100);
  color: white;
}



/* ===========================================================================
  DSGVO-Feld, Cookie Banner, social Media, ersetzt den Block darüber
=========================================================================== */
/* 
.cookie-consent {
  position: fixed;
  bottom: 20px;
  left: 50%;
  transform: translateX(-50%);
  background: #111;
  color: #fff;
  padding: 20px 25px;
  border-radius: 8px;
  max-width: 600px;
  width: 90%;
  box-shadow: 0 10px 25px rgba(0,0,0,0.3);
  z-index: 9999;
  font-size: 14px;
  display: none;
}

.cookie-content {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.cookie-buttons {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
}

.cookie-buttons button {
  padding: 8px 16px;
  border: none;
  cursor: pointer;
  border-radius: 4px;
  font-weight: 600;
}

#social-facebook { background: #3b5998; color: white; }
#social-instagram { background: #e1306c; color: white; }
#social-linkedin { background: #0077b5; color: white; }
#social-close { background: #444; color: white; } */




/* =========================
   RESPONSIVE
========================= */
@media (min-width: 1600px) {

  html,
  body {
    background-size: 2800px auto;
    background-position: center 40%;
  }

  body {
    max-width: 2400px;
    margin: 0 auto;
  }
}

@media (max-width: 900px) {
  .custom-row {
    flex-direction: column;
    align-items: center;
  }

  body {
    background-size: 1200px auto;
    background-position: center 70%;
  }
}

.box {
  width: clamp(300px, 80vw, 300px);
}


@media (min-width: 1400px) {

  .box-about {
    width: 520px;
  }

  .box-portfolio {
    width: 560px;
  }

  .box-video {
    width: 460px;
  }

  .box-angebot {
    width: 480px;
  }

  .box-leistungen {
    width: 500px;
  }

  .box-kontakt {
    width: 520px;
  }


}

@media (min-width: 1400px) {
  .custom-row {
    gap: 50px;
    margin-top: 60px
  }
}

/* Mobile Ansicht */
@media (max-width: 768px) {
  .menu-toggle {
    display: block;
  }

  .nav-buttons {
    display: none;
  }
}

@media (max-width: 600px) and (orientation: portrait) {
  body {
    background-size: 280%;
    background-position: center 20%;
  }
}

@media (max-width: 600px) {
  header {
    padding-top: 40px;
    background: black;
  }

  p {
    padding-top: 0px;
  }

  .hero-image {
    padding-top: 20px;
    padding-bottom: 20px;
    width: 100%;
    transition: transform 0.4s ease, filter 0.4s ease;
  }

  .hero-image:hover {
    transform: scale(1.4);
    filter: saturate(1.4) contrast(5) brightness(1.05) drop-shadow(0 0 6px rgba(255, 255, 255, 1)) drop-shadow(0 0 20px rgba(255, 255, 255, 0.8));
  }

  h1,
  h2,
  h3 {
    margin-left: clamp(50px, 5vw, 100px);
    margin-right: clamp(20px, 20vw, 1000px);

  }

  h4,
  h5,
  h6 {
    margin-left: clamp(20px, 20vw, 1000px);
    margin-right: clamp(20px, 5vw, 100px);
  }

}

/* Burger Menü */
@media (max-width: 600px) {
  .menu-toggle {
    width: 25px;
    height: 20px;
  }

  .menu-toggle span {
    height: 2px;
  }

  .burger-menu {
    margin-top: 20px;
    width: 90px;
  }

  .burger-menu a {
    margin-top: 5px;
    font-size: 0.7rem;
    padding: 0px;
  }

  .box {
    width: clamp(120px, 100vw, 180px);
  }
}

@media (hover: none) {
  .box::before {
    opacity: 1;
  }

  .box-title {
    opacity: 0;
  }

  .box-overlay {
    opacity: 1;
    transform: translateY(0) scale(1);
  }
}

@media (max-width: 600px) {
  .box {
    width: clamp(120px, 100vw, 180px);
  }

  .logo-urbangrafix img {
    top: 22px;
    right: 10px;
  }
}

@media (max-width: 600px) {

  .carousel-control-prev,
  .carousel-control-next {
    top: 50%;
    transform: translateY(20%);
  }

  .carousel-indicators {
    bottom: -15px;
  }

  .button-menue {
    padding: 8px 16px;
    font-size: 14px;
  }

  .button-menue {
    min-width: 80px;
    max-width: 140px;
  }

  .buttons-menue {
    min-width: 0px;
    gap: 18px;
  }
}

@media screen and (max-width: 600px) {
  #cookie-consent {
    max-width: 70%;
    /* kleiner als Desktop */
    padding: 10px 10px;
    /* weniger Padding */
    font-size: 0.9rem;
    /* kleinere Schrift für Text */
    bottom: 120px;
    /* Abstand unten */
  }

  .cookie-content p {
    margin-top: 10px;
    font-size: 1.2rem;
    /* Text etwas kleiner */
    line-height: 1.5rem;
    /* Zeilenhöhe anpassen */
  }

  .cookie-buttons button {
    margin-top: -20px;
    margin-bottom: 10px;
    font-size: 0.9rem;
    font-weight: lighter;
    max-width: 100px;
    min-width: 100px;
    padding: 6px 6px;
    border: none;
    cursor: pointer;
    border-radius: 4px;
  }


  .cookie-btn {
    max-width: 190px;
    min-width: 190px;

    font-size: 0.9rem;
    /* Buttons kleiner */
    padding: 6px 6px;
    /* Button-Padding anpassen */
  }

  .cookie-buttons {
    gap: 10px;
    /* Abstand zwischen Buttons kleiner */
    flex-wrap: wrap;
    /* Buttons umbrechen, falls nötig */
  }
}